
QGIS Application - Bug report #6099

Save as... for raster: missing extension on Gnome3

2012-07-26 03:46 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15444

Description

The file saved misses the file extension (e.g. .tif); it has to be entered by hand

Associated revisions

Revision 2125f6ac - 2015-06-19 05:04 PM - Salvatore Larosa

Fix #6099 - Save as... for raster: missing extension on Gnome3

Revision 1edcf3c4 - 2015-07-13 03:37 PM - Salvatore Larosa

Fix #6099 - Save as... for raster: missing extension on Gnome3

(cherry-picked from 2125f6a)

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-09-06 08:04 PM - Radim Blazek

There is one problem. The format may be changed after the file was selected. What should then happen? The vector save as dialog suffers of the same

problem.

One solution would be to ask for file after the dialog is accepted.

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-05-29 10:55 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#5 - 2015-05-29 11:46 PM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened
Still true here, just tested on master/deb.

#6 - 2015-05-29 11:59 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Paolo Cavallini wrote:

Still true here, just tested on master/deb.

also tested on master both Linux and Windows, and works as expected.

#7 - 2015-05-30 12:04 AM - Paolo Cavallini

Steps to reproduce:

    -  open a raster

    -  legend>right click>Save as

    -  leave as default

    -  Browse>add output nname as `test` (without extension)

    -  the file is saved as `test` (without extension)

#8 - 2015-05-30 12:08 AM - Giovanni Manghi

- File saveasraster.mp4 added

Paolo Cavallini wrote:

Steps to reproduce:    -  open a raster

    -  legend>right click>Save as

    -  leave as default

    -  Browse>add output nname as `test` (without extension)

    -  the file is saved as `test` (without extension)

see attached screencast

#9 - 2015-05-30 12:25 AM - Paolo Cavallini

Possibly due to file selector, different here (Gnome3).

#10 - 2015-05-30 04:08 AM - Giovanni Manghi

- Subject changed from Save as... for raster: missing extension to Save as... for raster: missing extension on Gnome3

- Category changed from Rasters to GUI

- Status changed from Feedback to Open

#11 - 2015-06-19 08:04 AM - Salvatore Larosa

- Status changed from Open to Closed
Fixed in changeset commit:"2125f6ac0d693be8a1798ea2044dc0cbdc41c817".

Files

saveasraster.mp4 1.65 MB 2015-05-29 Giovanni Manghi
